﻿using System;
using Xamarin.Forms;

namespace Grouping.Controls
{
    public class WidgetDataTemplateSelector : DataTemplateSelector
    {
        public DataTemplate DefaultTemplate { get; set; }
        public DataTemplate AttachmentsTemplate { get; set; }
        public DataTemplate ContactsTemplate { get; set; }
        public DataTemplate ImageTemplate { get; set; }
        public DataTemplate LinkTemplate { get; set; }
        public DataTemplate TaskListTemplate { get; set; }
        public DataTemplate TextTemplate { get; set; }
        public DataTemplate VideoTemplate { get; set; }

        protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
        {
            if (((Contacts)item).ContactNumber % 2 == 0)
                return this.TextTemplate;
            else
                return this.LinkTemplate;
        }
    }
}
